Subject: 23.0.90; Incomplete text in tooltip for buffer's encoding

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Feb 2009 13:18:29 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

In "emacs -Q", move the mouse pointer to the mnemonic of
buffer-file-coding-system, and wait for the tooltip to pop up.  The
tooltip text should be:

  Buffer coding systme (multi-byte): CODING
  mouse-1: describe coding system

But on MS-Windows, if CODING is iso-latin-N-dos (for any N that is a
single digit), the second line is not shown; instead, there's an empty
line.  Changing the buffer's encoding to something different, like
utf-8 or cyrillic-iso-8bit-dos, or even iso-latin-10-dos or
iso-latin-1-unix, makes the second line reappear.  Changing back to
iso-latin-[1-9]-dos makes the text of second line disappear again.

It looks like the problem is somehow related to the length of the
first line's text.

This is not a new problem, I've seen it for as long as I can remember.
I just forgot to report it until now, sorry.

The problem does not exist in Emacs 22.3, but the tooltip text in
Emacs 22.3 is formatted differently and displays as a single line:

  CODING buffer; mouse-1: describe coding system

(I say "MS-Windows" above only because I cannot test this in a GUI
session on a Unix or GNU system where I'm typing this, so I don't know
whether the same problem happens on other platforms.)

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
d:/gnu/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.0.90.1 (i386-mingw-nt5.1.2600)
 of 2009-02-21 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1255
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> C-x 
<return> f u t <tab> 8 <return> <help-echo> C-x <return> 
f l a t <tab> 1 <return> <help-echo> M-x e <backspace> 
r e p o <tab> r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...